Updates the organization with the specified key ///

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

sales_organization
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

name

Name of the organization

string

Required

Max length: 50

description

Description field

string

Max length: 255

db_country_id

Default country to be used when creating new company

globally unique identifier
db_currency_id

Currency of the organization

globally unique identifier
db_language_id

Default language of the organization (will be used when nothing is set)

globally unique identifier
accountancy_code

Accountancy code for this organization

string

Max length: 50

archived

Valid / Archive

boolean
default_unit_of_measure_system_type

Default system of measure type (Metric,Engloish)

string

Max length: 50

street

Address : Street

string

Max length: 50

street2

Address : Second street line

string

Max length: 50

street_number

Address : Street number

string

Max length: 50

zip

Address : zip

string

Max length: 50

city

Address : city

string

Max length: 50

email

Email

string

Max length: 250

phone

Phone number

string

Max length: 50

fax

Fax number

string

Max length: 50

url

Url of the organization website

string

Max length: 50

vat_reg_code

VAT number

string

Max length: 50

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "03790546-7f0c-4fe7-b5ea-cd6fdcad4134",
  "code": "sample string 2",
  "name": "sample string 3",
  "description": "sample string 4",
  "db_country_id": "d2f34081-e528-40ca-855a-bf147e16d287",
  "db_currency_id": "125fc017-b7de-40f8-b4ec-8c12b81d327b",
  "db_language_id": "0ef8451e-438d-4d03-aa7a-87b06c6e0468",
  "accountancy_code": "sample string 8",
  "archived": true,
  "default_unit_of_measure_system_type": "sample string 10",
  "street": "sample string 11",
  "street2": "sample string 12",
  "street_number": "sample string 13",
  "zip": "sample string 14",
  "city": "sample string 15",
  "email": "sample string 16",
  "phone": "sample string 17",
  "fax": "sample string 18",
  "url": "sample string 19",
  "vat_reg_code": "sample string 20",
  "modified_dateutc": "2026-05-25T00:57:30.843905+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.